Download it now!
Bug 136667 - Crash when opening file with change tracked floating table
Summary: Crash when opening file with change tracked floating table
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2020-09-11 10:58 UTC by NISZ LibreOffice Team
Modified: 2020-10-08 08:54 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols + some console logs (17.36 KB, text/plain)
2020-09-11 11:05 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-09-11 10:58:32 UTC
Opening attachment #159750 [details] from bug #132269 started to crash.

Steps to reproduce:
    1. Open attachment #159750 [details] 

Actual results:
Crash.

Expected results:
File opens.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: ed4f610f4a3de12016f8308a17b6ad4f86e9d67a
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
(todays nightly)

But not yet in:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 4c20bb789c7536f63a6844a4cb4489a18cee53c7
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win
Locale: en-US (hu_HU); UI: en-US
Calc: CL
10 days old from bibisect-7.1

Likely a side effect of
https://cgit.freedesktop.org/libreoffice/core/commit/?id=288db6eb47fbbd2b3ca34ffea0686d8ed8ed9be9

tdf#132271 DOCX: import change tracking in floating tables
Comment 1 Julien Nabet 2020-09-11 11:05:30 UTC
Created attachment 165388 [details]
bt with debug symbols + some console logs

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 2 Julien Nabet 2020-09-11 11:08:17 UTC
Extra gdb info:
(gdb) frame 5
#5  0x00007fffd86115c3 in writerfilter::dmapper::SectionPropertyMap::CloseSectionGroup (this=0x6650480, rDM_Impl=...) at writerfilter/source/dmapper/PropertyMap.cxx:1413
1413	                                 xCellProperties->getPropertyValue("CellName") >>= sCellName;
(gdb) p xCellProperties
$1 = empty uno::Reference
(gdb) p aValue
$2 = uno::Any(void)
(gdb) p rKey
$3 = "Cell"
Comment 3 Xisco Faulí 2020-09-11 12:00:04 UTC
(In reply to NISZ LibreOffice Team from comment #0)
> Likely a side effect of
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=288db6eb47fbbd2b3ca34ffea0686d8ed8ed9be9

Yes, I do confirm it in bibisect-linux64-7.1
Comment 4 Commit Notification 2020-09-15 06:17:20 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/464a7b0631335a8f8729512b8c27f864747f56a7

tdf#136667 DOCX import: fix crash of floating tables

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-09-29 14:25:46 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: cd85546a2fbdade42f80fd3b6bd650791db9f32d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: tr-TR (en_US.UTF-8); UI: en-US
Calc: threaded

@László Németh, thanks for fixing this issue!
Comment 6 NISZ LibreOffice Team 2020-10-08 08:54:39 UTC
Verified in:

Version: 7.1.0.0.alpha0+ (x64)
Build ID: a3b4831208da615789bd1e2d5660dd130807f504
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded

Thanks, László :)